import SettingsType from "../models/type/settings.js";

const initializeSettings = async () => {
    await SettingsType.findOrCreate({
        where: { name: 'personal' },
        defaults: { name: 'personal' }
    });
    await SettingsType.findOrCreate({
        where: { name: 'view' },
        defaults: { name: 'view' } 
    });
    await SettingsType.findOrCreate({
        where: { name: 'sexuality' },
        defaults: { name: 'sexuality' }
    });
    await SettingsType.findOrCreate({
        where: { name: 'flirt' },
        defaults: { name: 'flirt' }
    });
};

export default initializeSettings;